uk.gov.hmrc.crypto.json

# JsonEncryptor

###
Related Doc: package json

#### class JsonEncryptor[T] extends Writes[Protected[T]]

Linear Supertypes
Writes[Protected[T]], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JsonEncryptor
2. Writes
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new JsonEncryptor()(implicit crypto: CompositeSymmetricCrypto, wrts: Writes[T])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def contramap[B](f: (B) ⇒ Protected[T]): Writes[B]

   Definition Classes
     Writes

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      AnyRef → Any

18. #### def transform(transformer: Writes[JsValue]): Writes[Protected[T]]

    Definition Classes
      Writes

19. #### def transform(transformer: (JsValue) ⇒ JsValue): Writes[Protected[T]]

    Definition Classes
      Writes

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### def writes(o: Protected[T]): JsValue

    Definition Classes
      JsonEncryptor → Writes

### Inherited from Writes[Protected[T]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped